Bug 1573115 - utf8proc: Partial build flags injection
Summary: utf8proc: Partial build flags injection
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: utf8proc
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Milan Bouchet-Valat
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: Fedora28BuildFlags
TreeView+ depends on / blocked
 
Reported: 2018-04-30 08:28 UTC by Florian Weimer
Modified: 2018-05-16 13:47 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2018-05-02 10:52:53 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-04-30 08:28:52 UTC
/usr/lib64/libutf8proc.so.2.1.1 in utf8proc-2.1.1-1.fc28.x86_64 has not been linked with the standard Fedora linker flags (LDFLAGS) from redhat-rpm-config.  

The build log shows:

cc  -shared -o libutf8proc.so.2.1.1 -Wl,-soname -Wl,libutf8proc.so.2 utf8proc.o

LDFLAGS is missing completely.

See https://src.fedoraproject.org/rpms/redhat-rpm-config/blob/master/f/buildflags.md for information on RPM macros and environment variables provided by the build environment.

Comment 1 Fedora Update System 2018-04-30 09:29:47 UTC
utf8proc-2.1.1-2.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-cf5b335d4b

Comment 2 Fedora Update System 2018-04-30 09:30:14 UTC
utf8proc-2.1.1-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c32281b26

Comment 3 Fedora Update System 2018-04-30 09:37:41 UTC
utf8proc-1.3.1-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c812f02dc5

Comment 4 Fedora Update System 2018-04-30 09:47:32 UTC
utf8proc-2.1.1-2.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1da6ede209

Comment 5 Fedora Update System 2018-04-30 17:02:53 UTC
utf8proc-2.1.1-2.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1da6ede209

Comment 6 Fedora Update System 2018-04-30 18:43:55 UTC
utf8proc-2.1.1-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7c32281b26

Comment 7 Fedora Update System 2018-04-30 19:55:00 UTC
utf8proc-2.1.1-2.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-cf5b335d4b

Comment 8 Fedora Update System 2018-04-30 22:17:56 UTC
utf8proc-1.3.1-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-c812f02dc5

Comment 9 Fedora Update System 2018-05-02 10:52:53 UTC
utf8proc-2.1.1-2.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 10 Fedora Update System 2018-05-10 19:15:46 UTC
utf8proc-2.1.1-2.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2018-05-16 13:47:49 UTC
utf8proc-1.3.1-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.